# Upgrade(UpgradeJob)

Method in [LanguageUpgrader](/api/csharp/yarn.compiler.upgrader/yarn.compiler.upgrader.languageupgrader.md)

## Summary

Upgrades a Yarn script from one version of the language to another, producing both the fully upgraded text as well as a collection of replacements.

```csharp
public static UpgradeResult Upgrade(UpgradeJob upgradeJob)
```

## Parameters

| Name                                                                                                                    | Description                 |
| ----------------------------------------------------------------------------------------------------------------------- | --------------------------- |
| [Yarn.Compiler.Upgrader.UpgradeJob](/api/csharp/yarn.compiler.upgrader/yarn.compiler.upgrader.upgradejob.md) upgradeJob | The upgrade job to perform. |

## Returns

An [UpgradeResult](/api/csharp/yarn.compiler.upgrader/yarn.compiler.upgrader.upgraderesult.md) object containing the results of the upgrade operation.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.compiler.upgrader/yarn.compiler.upgrader.languageupgrader/yarn.compiler.upgrader.languageupgrader.upgrade.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
